Bug 838120 - perl-DateTime is too old
perl-DateTime is too old
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-DateTime (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
http://search.cpan.org/~drolsky/DateT...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 13:16 EDT by Petr Pisar
Modified: 2012-12-20 10:27 EST (History)
5 users (show)

See Also:
Fixed In Version: perl-DateTime-0.77-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 838476 (view as bug list)
Environment:
Last Closed: 2012-12-20 10:27:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-07-06 13:16:52 EDT
Fedora delivers version 0.70 which is too old.

For example it does not implement 2012-07 leap second which has been added by upstream in version 0.71 on 2012-01-05. It can result in faulty time arithmetics now.

It's shame Fedora does not deliver current version of such impotant package demanding regular updates. Upstream changelog:

0.76   2012-07-01

- The DateTime->subtract method ignored the end_of_month parameter. Patch by
  Chris Reinhardt. RT #77844.


0.75   2012-06-11

- The epoch for years 1-999 was broken because Time::Local is "clever". A pox
  on all clever APIs, I say! Reported by Christian Hansen. RT #77719.

- Shut up compilation warning from 5.17.x. Reported by Tom Wyant. RT #77490.


0.74   2012-03-22

- Small packaging fix for metacpan's benefit. No need to upgrade.


0.73   2012-03-17

- Change tests to work with Zefram's entirely rebuilt DateTime::TimeZone
  distribution, which will replace the current implementation. Patch by
  Zefram. RT #75757.


0.72   2012-01-05

- Remove Test::DependentModules from the dep list. This is used by some
  author-only tests. Reported by Zefram.


0.71   2012-01-05

- There will be a new leap second on June 30, 2012.
Comment 1 Iain Arnell 2012-07-06 13:59:53 EDT
Agreed. 

Steve, if you're still with us, I'm happy to take ownership of perl-DateTime. Since you never commented on bug 730658 when I split out DT::TZ and DT::Locale, I guess I'm already responsible for it.

Otherwise, I think it's time to start the non-responsive maintainer process again.

And Petr, how about cloning this for RHEL? It's an even bigger shame that Red Hat delivers an even more outdated version of this package (and more importantly, DateTime::TimeZone) demanding regular updates.
Comment 2 Paul Howarth 2012-07-18 06:45:48 EDT
I have an interest in a bunch of Steve's packages that are behind upstream in Rawhide, e.g perl-IPC-Run, perl-Mail-SPF, perl-PadWalker, perl-PAR-Dist, perl-Test-Deep, perl-Test-Differences, perl-Test-NoWarnings and perl-Test-Tester.

Steve, are you still interested in maintaining these in Fedora? If you are but are currently busy, I'd be happy to co-maintain.
Comment 3 Fedora End Of Life 2012-08-07 14:39:21 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Petr Pisar 2012-08-08 03:08:09 EDT
Still valid.
Comment 5 Jan Pazdziora 2012-08-08 04:11:41 EDT
Still valid in Fedora 17 as well, setting Version to 17.
Comment 6 Fedora Update System 2012-10-18 07:21:16 EDT
perl-DateTime-0.77-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-DateTime-0.77-1.fc18
Comment 7 Fedora Update System 2012-10-18 07:21:39 EDT
perl-DateTime-0.77-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-DateTime-0.77-1.fc17
Comment 8 Fedora Update System 2012-10-18 07:21:56 EDT
perl-DateTime-0.77-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-DateTime-0.77-1.fc16
Comment 9 Fedora Update System 2012-10-18 11:25:44 EDT
Package perl-DateTime-0.77-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-DateTime-0.77-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16391/perl-DateTime-0.77-1.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-12-20 10:27:14 EST
perl-DateTime-0.77-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.